
Ruby - Bug #2413

MiniTest::Assertions#assert_raises ignores message

11/30/2009 04:28 PM - znz (Kazuhiro NISHIYAMA)

Status: Closed   

Priority: Normal   

Assignee: zenspider (Ryan Davis)   

Target version: 1.9.2   

ruby -v: ruby 1.9.2dev (2009-11-30 trunk 25963)

[i686-linux]

Backport:  

Description

=begin

% cat test_assert_raise.rb

require 'test/unit'

class TestFoo < Test::Unit::TestCase

def test_foo

assert_raise(RuntimeError, "should show this message") do

end

end

end

% ruby1.8 -v

ruby 1.8.6 (2007-09-24 patchlevel 111) [i486-linux]

% ruby1.8 test_assert_raise.rb

Loaded suite test_assert_raise

Started

F

Finished in 0.021458 seconds.

1. Failure:

test_foo(TestFoo) [test_assert_raise.rb:5]:

should show this message.

exception expected but none was thrown.

1 tests, 1 assertions, 1 failures, 0 errors

% ruby-trunk -v

ruby 1.9.2dev (2009-11-30 trunk 25963) [i686-linux]

% ruby-trunk test_assert_raise.rb

Loaded suite test_assert_raise

Started

F

Finished in 0.002544 seconds.

1. Failure:

test_foo(TestFoo) [test_assert_raise.rb:5]:

RuntimeError expected but nothing was raised.

1 tests, 1 assertions, 1 failures, 0 errors, 0 skips

%

=end

History

#1 - 12/02/2009 11:15 AM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee set to zenspider (Ryan Davis)

- Target version set to 1.9.2

=begin

=end
#2 - 01/06/2010 05:44 PM - zenspider (Ryan Davis)

- Status changed from Assigned to Closed

=begin

Fixed. Will go out in a release shortly and merged to trunk shortly after that.

Thank you for the report.

=end
